############################################
# Common Variables
############################################

screenW = Screen.width
screenH = Screen.height
curveOrbit = "bezier-curve"
curveOrbitOption = "ease-in-out"
timeOrbitA = 1.5
timeOrbitB = 0.8
timeOrbitC = 0.3
offsetA = 170
offsetB = 70
offsetC = 30

backdrop = new BackgroundLayer
	backgroundColor: "#fff"
	
coreA = new Layer
	width: 100
	height: 100
	cornerRadius: 50
	backgroundColor: "#000"
	midX : screenW / 2
	midY : screenH / 2
	clip: false


planetA = new Layer
	superLayer: coreA
	width: 50
	height: 50
	cornerRadius: 25
	backgroundColor: "#bbb"
	clip: false
    
planetA.midX = 0 - offsetA
planetA.midY = 0 - offsetA

planetB = new Layer
	superLayer: planetA
	width: 20
	height: 20
	cornerRadius: 10
	backgroundColor: "#ccc"
	clip: false
    
planetB.midX = planetA.midX - offsetB
planetB.midY = planetA.midY - offsetB


planetC = new Layer
	superLayer: planetB
	width: 10
	height: 10
	cornerRadius: 10
	backgroundColor: "#ddd"
    
planetC.midX = planetB.midX - offsetC
planetC.midY = planetB.midY - offsetC


# ORBIT FUNCTIONS

orbitRight = (planet, core, offset, timeOrbit) ->
	a = planet.animate
		properties:
			midX: (core.width / 2) + offset
		curve: curveOrbit
		curveOptions: curveOrbitOption
		time: timeOrbit
	a.on Events.AnimationStop, ->
		orbitLeft(planet, core, offset, timeOrbit)

	
orbitLeft = (planet, core, offset, timeOrbit) ->
	b = planet.animate
		properties:
			midX: (core.width / 2) - offset
		curve: curveOrbit
		curveOptions: curveOrbitOption
		time: timeOrbit
	b.on Events.AnimationStop, ->
		orbitRight(planet, core, offset, timeOrbit)

	
orbitUp = (planet, core, offset, timeOrbit) ->
	x = planet.animate
		properties:
			midY: (core.width / 2) + offset
		curve: curveOrbit
		curveOptions: curveOrbitOption
		time: timeOrbit
	x.on Events.AnimationStop, ->
		orbitDown(planet, core, offset, timeOrbit)
		
orbitDown = (planet, core, offset, timeOrbit) ->
	x = planet.animate
		properties:
			midY: (core.width / 2) - offset
		curve: curveOrbit
		curveOptions: curveOrbitOption
		time: timeOrbit
	x.on Events.AnimationStop, ->
		orbitUp(planet, core, offset, timeOrbit)

# COMBINE INTO ONE ORBIT FUNCTION

orbit = (planet, core, offset, time) =>
	orbitUp(planet, core, offset, time)
	Utils.delay time * 0.5, ->
		orbitRight(planet, core, offset, time)

# INSTANTIATE

orbit(planetA, coreA, offsetA, timeOrbitA)
orbit(planetB, planetA, offsetB, timeOrbitB)
orbit(planetC, planetB, offsetC, timeOrbitC)


